import { MetaplexError } from './MetaplexError';
/** @group Errors */
export declare class IrysError extends MetaplexError {
    readonly name: string;
    constructor(message: string, cause?: Error);
}
/** @group Errors */
export declare class FailedToInitializeIrysError extends IrysError {
    readonly name: string;
    constructor(cause: Error);
}
/** @group Errors */
export declare class FailedToConnectToIrysAddressError extends IrysError {
    readonly name: string;
    constructor(address: string, cause: Error);
}
/** @group Errors */
export declare class AssetUploadFailedError extends IrysError {
    readonly name: string;
    constructor(status: number);
}
/** @group Errors */
export declare class IrysWithdrawError extends IrysError {
    readonly name: string;
    constructor(error: string);
}
